XMLFORMAT(1)

NAME
xmlformat - XML Document Formatter

SYNOPSIS
xmlformat [options] xml-file

OPTIONS
--help, -h

    Print this message and exit.

--backup suffix -b suffix

    Back up the input document, adding suffix to the input filename to create the backup filename.

--canonized-output

    Proceed only as far as the document canonization stage, printing the result.

--check-parser

    Parse the document into tokens and verify that their concatenation is identical to the original input document. This option suppresses further document processing.

--config-file file_name, -f file_name

    Specify the configuration filename. If no file is named, xmlformat uses the file named by the environment variable XMLFORMAT_CONF, if it exists, or ./xmlformat.conf, if it exists. Otherwise, xmlformat uses built-in formatting options.

--in-place, -i

    Format the document in place, replacing the contents of the input file with the reformatted document. (It's a good idea to use --backup along with this option.)

--show-config

    Show configuration options after reading configuration file. This option suppresses document processing.

--show-unconfigured-elements

    Show elements that are used in the document but for which no options were specified in the configuration file. This option suppresses document output.

--verbose, -v

    Be verbose about processing stages.

--version, -V

    Show version information and exit.

AUTHOR
Paul DuBois paul@kitebird.com This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.